### Method

# Ide Context addin_find_by_module_name

#### Declaration

    IdeContextAddin*
    ide_context_addin_find_by_module_name (
      IdeContext* context,
      const gchar* module_name
    )

#### Description

Finds the addin (if any) matching the plugin’s `module_name`.

Available since: | 3.40

#### Parameters

`module_name` | `const gchar*`
| The name of the addin module.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeContextAddin`
| An `IdeContextAddin` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.